org.apache.ignite.internal.util.typedef.internal

## Class S

- java.lang.Object
- - org.apache.ignite.internal.util.tostring.GridToStringBuilder
  - - org.apache.ignite.internal.util.typedef.internal.S

    public class S
    extends GridToStringBuilder

Defines internal `typedef` for `GridToStringBuilder`. Since Java doesn't provide type aliases (like Scala, for example) we resort to these types of measures. This is intended for internal use only and meant to provide for more terse code when readability of code is not compromised.

### Field Summary

### Fields inherited from class org.apache.ignite.internal.util.tostring.GridToStringBuilder

`INCLUDE_SENSITIVE`

### Constructor Summary

Constructors
Constructor and Description
`S()`

### Method Summary

### Methods inherited from class org.apache.ignite.internal.util.tostring.GridToStringBuilder

`arrayToString, compact, toString, toString, toString, toString, toString, toString, toString, toString, toString, toString, toString, toString, toString, toString, toString, toString, toString, toString, toString, toString, toString, toString, toString, toString, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### S

    public S()

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.6
Release Date | : September 11 2019